package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Emp_details;
import com.realnet.vpspack.Services.Emp_detailsService ;
























































@RequestMapping(value = "/Emp_details")
 @CrossOrigin("*") 
@RestController
public class Emp_detailsController {
	@Autowired
	private Emp_detailsService Service;

@Value("${projectPath}")
	private String projectPath;
 
























































	@PostMapping("/Emp_details")
		  public Emp_details Savedata(@RequestBody Emp_details data) {
		Emp_details save = Service.Savedata(data)	;























































		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Emp_details/{id}")
	public  Emp_details update(@RequestBody Emp_details data,@PathVariable Integer id ) {
		Emp_details update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Emp_details/getall/page")
	public Page<Emp_details> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Emp_details> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Emp_details")
	public List<Emp_details> getdetails() {
		 List<Emp_details> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Emp_details")
	public List<Emp_details> getallwioutsec() {
		 List<Emp_details> get = Service.getdetails();		
		return get;
}
@GetMapping("/Emp_details/{id}")
	public  Emp_details  getdetailsbyId(@PathVariable Integer id ) {
		Emp_details  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Emp_details/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























































}